FindBugsPlugin (Gradle API 5.5-20190702033235+0000)
Date: 2019-07-01

Package org.gradle.api.plugins.quality

## Class FindBugsPlugin

- java.lang.Object
- - org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<FindBugs>
  - - org.gradle.api.plugins.quality.FindBugsPlugin

- All Implemented Interfaces:
    `Plugin<org.gradle.api.internal.project.ProjectInternal>`

      @Deprecated
      public class FindBugsPlugin
      extends org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<FindBugs>

  Deprecated.
  FindBugs is unmaintained and does not support bytecode compiled for Java 9 and above.
  A plugin for the FindBugs byte code analyzer.

  Declares a `findbugs` configuration which needs to be configured with the FindBugs library to be used. Additional plugins can be added to the `findbugsPlugins` configuration.

  For projects that have the Java (base) plugin applied, a `FindBugs` task is created for each source set.

  See Also:
    `FindBugs`, `FindBugsExtension`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DEFAULT_FINDBUGS_VERSION` | Deprecated.

    - ### Fields inherited from class org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin

      `project`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FindBugsPlugin()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `beforeApply()` | Deprecated.
    `protected void` | `configureConfiguration​(Configuration configuration)` | Deprecated.
    `protected void` | `configureForSourceSet​(SourceSet sourceSet, FindBugs task)` | Deprecated.
    `protected void` | `configureTaskDefaults​(FindBugs task, String baseName)` | Deprecated.
    `protected CodeQualityExtension` | `createExtension()` | Deprecated.
    `protected Class<FindBugs>` | `getTaskType()` | Deprecated.
    `protected String` | `getToolName()` | Deprecated.

    - ### Methods inherited from class org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin

      `apply, conventionMappingOf, createConfigurations, getBasePlugin, getConfigurationName, getJavaPluginConvention, getReportName, getTaskBaseName, withBasePlugin`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_FINDBUGS_VERSION

          public static final String DEFAULT_FINDBUGS_VERSION

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FindBugsPlugin

          public FindBugsPlugin()

      Deprecated.

  - ### Method Detail

    - #### getToolName

          protected String getToolName()

      Deprecated.
      Specified by:
        `getToolName` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<FindBugs>`

    - #### getTaskType

          protected Class<FindBugs> getTaskType()

      Deprecated.
      Specified by:
        `getTaskType` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<FindBugs>`

    - #### beforeApply

          protected void beforeApply()

      Deprecated.
      Overrides:
        `beforeApply` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<FindBugs>`

    - #### createExtension

          protected CodeQualityExtension createExtension()

      Deprecated.
      Specified by:
        `createExtension` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<FindBugs>`

    - #### configureConfiguration

          protected void configureConfiguration​(Configuration configuration)

      Deprecated.
      Specified by:
        `configureConfiguration` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<FindBugs>`

    - #### configureTaskDefaults

          protected void configureTaskDefaults​(FindBugs task,
                                               String baseName)

      Deprecated.
      Overrides:
        `configureTaskDefaults` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<FindBugs>`

    - #### configureForSourceSet

          protected void configureForSourceSet​(SourceSet sourceSet,
                                               FindBugs task)

      Deprecated.
      Overrides:
        `configureForSourceSet` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<FindBugs>`